## openjdk-11-jre-dcevm 11.0.1%2B8

=== debian/changelog ===
openjdk-11-jre-dcevm (11.0.1+8-1~18.04.1) bionic; urgency=medium

  * Upload to bionic for OpenJDK 11. LP: #1814133.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Feb 2019 11:02:20 +0100

openjdk-11-jre-dcevm (11.0.1+8-1) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * New upstream release

  [ Matthias Klose ]
  * Fix ftbfs on i386 (Closes: #922678)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 25 Feb 2019 08:24:01 +0100

openjdk-11-jre-dcevm (11.0.1+7-1) unstable; urgency=medium

  * Switch to OpenJDK 11:
    - Renamed the package to openjdk-11-jre-dcevm
    - Fetch the new releases from the HotswapProjects/openjdk-jdk11u-dcevm
      project on GitHub
    - Added the required but unused JDK build dependencies
    - Updated debian/rules
  * Added the libpath patch from openjdk-11
  * Build with g++-8 instead of g++-7
  * Standards-Version updated to 4.3.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 04 Feb 2019 09:11:41 +0100

openjdk-8-jre-dcevm (8u181-1) unstable; urgency=medium

  * New upstream release
    - Imported the light-jdk8u181-b13 DCEVM patches
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 19 Oct 2018 16:21:18 +0200

openjdk-8-jre-dcevm (8u112-2) unstable; urgency=medium

  * Fixed the build failure with GCC 7 (Closes: #853592)
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 02 Oct 2017 09:48:02 +0200

openjdk-8-jre-dcevm (8u112-1) unstable; urgency=medium

  * New upstream release
    - Imported the light-jdk8u112-b16 DCEVM patches (build 7)
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 06 Dec 2016 14:32:21 +0100

openjdk-8-jre-dcevm (8u92-1) unstable; urgency=medium

  * New upstream release
  * Fixed the build failure with GCC 6, thanks to Adrian Bunk for the patch.
    (Closes: #831153)
  * Build with -fno-lifetime-dse -fno-delete-null-pointer-checks to match
    the build parameters of the openjdk-8 package with GCC 6
  * Depend on g++-6 instead of g++-5 (Closes: #835956)
  * Standards-Version updated to 3.9.8
  * Use a secure Vcs-Git URL

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 18 Oct 2016 16:50:40 +0200

openjdk-8-jre-dcevm (8u74-1) unstable; urgency=medium

  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 21 Mar 2016 00:17:26 +0100

openjdk-8-jre-dcevm (8u66-1) unstable; urgency=medium

  * Switch to OpenJDK 8:
    - Renamed the package to openjdk-8-jre-dcevm
    - Imported the light-jdk8u66-b17 DCEVM patches (build 5)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 10 Feb 2016 13:35:34 +0100

openjdk-7-jre-dcevm (7u79-3) unstable; urgency=medium

  * Updated the DCEVM patches for Java 7u79 (build 8)
  * Standards-Version updated to 3.9.7 (no changes)
  * Replaced the hardcoded package name in debian/rules and debian/orig-tar.sh

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 10 Feb 2016 11:43:32 +0100

openjdk-7-jre-dcevm (7u79-2) unstable; urgency=medium

  * Team upload.
  * d/rules: export DISABLE_HOTSPOT_OS_VERSION_CHECK=ok and disable this
    version check to prevent a FTBFS with newer kernels.
    Thanks to Chris Faux for the report. (Closes: #809588)
  * d/control: Remove deprecated B-D hardening-wrapper. (Closes: #759648)
  * Vcs-Browser: Use https.
  * d/rules: Remove export DEB_BUILD_HARDENING=1

 -- Markus Koschany <apo@debian.org>  Sat, 09 Jan 2016 17:32:23 +0100

openjdk-7-jre-dcevm (7u79-1) unstable; urgency=medium

  * New upstream release
  * Fixed a linker error with G1SATBCardTableModRefBS
  * Build depend on GCC 5
  * Updated debian/watch

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 22 Sep 2015 11:33:49 +0200

openjdk-7-jre-dcevm (7u60-3) unstable; urgency=medium

  * Backported the new JVM_FindClassFromCaller function added in Java 7u71
    (Closes: #768715)
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 17 Nov 2014 10:58:24 +0100

openjdk-7-jre-dcevm (7u60-2) unstable; urgency=medium

  * Fixed a build failure on i386 (Closes: #760304)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 12 Sep 2014 15:56:22 +0200

openjdk-7-jre-dcevm (7u60-1) unstable; urgency=medium

  * New upstream release
  * Fixed a build failure on i386 (Closes: #759705)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 01 Sep 2014 19:55:37 +0200

openjdk-7-jre-dcevm (7u55-1) unstable; urgency=medium

  * Initial release. (Closes: #747493)

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 10 May 2014 22:38:09 +0200

## openjdk-11-jre-dcevm 11.0.1+8

=== debian/changelog ===
openjdk-11-jre-dcevm (11.0.1+8-1~18.10.1) cosmic; urgency=medium

  * Upload to bionic for OpenJDK 11. LP: #1814133.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Feb 2019 11:02:20 +0100

## openjdk-11-jre-dcevm 11.0.3%2B1

=== debian/changelog ===
openjdk-11-jre-dcevm (11.0.3+1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 01 Apr 2019 16:48:34 +0200

openjdk-11-jre-dcevm (11.0.3+1-1) unstable; urgency=medium

  * New upstream release (Closes: #924972)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 19 Mar 2019 11:13:57 +0100

## openjdk-11-jre-dcevm 11.0.3+1

=== make/devkit/Makefile ===
#
# Copyright (c) 2013, 2018, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the LICENSE file that accompanied this code.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#

################################################################################
#
# This Makefile, together with Tools.gmk, can be used to compile a set of
# gcc based cross compilation, portable, self contained packages, capable
# of building OpenJDK.
#
# In addition to the makefiles, access to Oracle Linux installation
# media is required. This has been tested against Oracle Enterprise Linux
# 6.4.
#
# By default this Makefile will build a native toolchain for the current
# platform if called with something like this:
#
# make tars
#
# To build the full set of crosstools for additional platforms, use a command
# line looking like this:
#
# make cross_compile_target="aarch64-linux-gnu" BASE_OS=Fedora27
# or
# make cross_compile_target="arm-linux-gnueabihf" BASE_OS=Fedora27
#
# This is the makefile which iterates over all host and target platforms.
#

os := $(shell uname -o)
cpu := $(shell uname -p)

# Figure out what platform this is building on.
me := $(cpu)-$(if $(findstring Linux,$(os)),unknown-linux-gnu)

$(info Building on platform $(me))

#
# By default just build for the current platform, which is assumed to be Linux
#
ifeq ($(cross_compile_target), )
  platforms := $(me)
  host_platforms := $(platforms)
else
  platforms := $(cross_compile_target)
  host_platforms := $(me)
endif
target_platforms := $(platforms)
$(info host_platforms $(host_platforms))
$(info target_platforms $(target_platforms))

all compile : $(platforms)

ifeq (,$(SKIP_ME))
  $(foreach p,$(filter-out $(me),$(platforms)),$(eval $(p) : $$(me)))
endif

OUTPUT_ROOT = $(abspath ../../build/devkit)
RESULT = $(OUTPUT_ROOT)/result

submakevars = HOST=$@ BUILD=$(me) \
    RESULT=$(RESULT) PREFIX=$(RESULT)/$@ \
    OUTPUT_ROOT=$(OUTPUT_ROOT)
$(host_platforms) :
	@echo 'Building compilers for $@'
	@echo 'Targets: $(target_platforms)'
	for p in $(filter $@, $(target_platforms)) $(filter-out $@, $(target_platforms)); do \
	  $(MAKE) -f Tools.gmk download-rpms $(submakevars) TARGET=$$p && \
	  $(MAKE) -f Tools.gmk all $(submakevars) \
	      TARGET=$$p || exit 1 ; \
	done
	@echo 'Building ccache program for $@'
	$(MAKE) -f Tools.gmk ccache $(submakevars) TARGET=$@
	@echo 'All done"'

today := $(shell date +%Y%m%d)

define Mktar
  $(1)_tar = $$(RESULT)/sdk-$(1)-$$(today).tar.gz
  $$($(1)_tar) : PLATFORM = $(1)
  TARFILES += $$($(1)_tar)
  $$($(1)_tar) : $(1) $$(shell find $$(RESULT)/$(1))
endef

$(foreach p,$(host_platforms),$(eval $(call Mktar,$(p))))

tars : all $(TARFILES)
onlytars : $(TARFILES)
%.tar.gz :
	@echo 'Creating compiler package $@'
	cd $(RESULT)/$(PLATFORM) && tar -czf $@ *
	touch $@

clean :
	rm -rf $(addprefix ../../build/devkit/, result $(host_platforms))
dist-clean: clean
	rm -rf $(addprefix ../../build/devkit/, src download)

FORCE :
.PHONY : all compile tars $(configs) $(host_platforms) clean dist-clean

=== debian/control ===
Source: openjdk-11-jre-dcevm
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 debhelper (>= 11),
 g++-8,
 libasound2-dev,
 libcups2-dev,
 libfontconfig1-dev,
 libx11-dev,
 libxext-dev,
 libxrender-dev,
 libxt-dev,
 libxtst-dev,
 openjdk-11-jdk,
 unzip,
 zip
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/java-team/openjdk-11-jre-dcevm.git
Vcs-Browser: https://salsa.debian.org/java-team/openjdk-11-jre-dcevm
Homepage: https://github.com/HotswapProjects/openjdk-jdk11u-dcevm

Package: openjdk-11-jre-dcevm
Architecture: amd64 i386
Multi-Arch: same
Depends: openjdk-11-jre-headless, ${shlibs:Depends}, ${misc:Depends}
Description: Alternative VM for OpenJDK 11 with enhanced class redefinition
 The Dynamic Code Evolution Virtual Machine (DCE VM) is a modification of
 the Java HotSpot VM that allows unlimited redefinition of loaded classes
 at runtime. The current hotswapping mechanism of the HotSpot VM allows
 only changing method bodies. This enhanced VM allows adding and removing
 fields and methods as well as changes to the super types of a class.
 .
 This alternative VM is enabled by adding the -dcevm option when invoking
 the java command.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	bash configure --disable-warnings-as-errors --with-debug-level=release --with-native-debug-symbols=internal --disable-ccache

override_dh_auto_build:
	make hotspot

override_dh_auto_test:

override_dh_auto_install:
	dh_install -popenjdk-11-jre-dcevm \
	           build/linux-$(subst i686,x86,$(DEB_HOST_GNU_CPU))-normal-server-release/jdk/lib/server/libjvm.so \
	           /usr/lib/jvm/java-11-openjdk-$(DEB_HOST_ARCH)/lib/dcevm/

override_dh_auto_clean:

## openjdk-11-jre-dcevm 11.0.7+1

=== debian/changelog ===
openjdk-11-jre-dcevm (11.0.7+1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #942876)
    - Refreshed the patch
  * Switch to debhelper level 12

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 31 May 2020 23:36:58 +0200

openjdk-11-jre-dcevm (11.0.5+5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patch
    - New build dependency on libxrandr-dev
  * Standards-Version updated to 4.5.0
  * Build with g++-9 instead of g++-8 (Closes: #944182)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 05 Mar 2020 10:01:04 +0100

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,21 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
- debhelper (>= 11),
- g++-8,
+ debhelper-compat (= 12),
+ g++-9,
  libasound2-dev,
  libcups2-dev,
  libfontconfig1-dev,
  libx11-dev,
  libxext-dev,
+ libxrandr-dev,
  libxrender-dev,
  libxt-dev,
  libxtst-dev,
  openjdk-11-jdk,
  unzip,
  zip
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/java-team/openjdk-11-jre-dcevm.git
 Vcs-Browser: https://salsa.debian.org/java-team/openjdk-11-jre-dcevm
 Homepage: https://github.com/HotswapProjects/openjdk-jdk11u-dcevm

## openjdk-11-jre-dcevm 11.0.10+1

=== debian/changelog ===
openjdk-11-jre-dcevm (11.0.10+1-1) unstable; urgency=medium

  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 03 Feb 2021 20:47:07 +0100

openjdk-11-jre-dcevm (11.0.9+1-2) unstable; urgency=medium

  * Team upload.
  * Build with default g++ (Closes: #978516)
  * Bump Standards-Version to 4.5.1

 -- tony mancill <tmancill@debian.org>  Mon, 28 Dec 2020 11:16:59 -0800

openjdk-11-jre-dcevm (11.0.9+1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 11.0.9+1 (Closes: #972788)
  * Update to debhelper compat level 13
  * Set "Rules-Requires-Root: no" in debian/control

 -- tony mancill <tmancill@debian.org>  Sun, 25 Oct 2020 09:11:45 -0700

## openjdk-11-jre-dcevm 11.0.12%2B7

=== debian/changelog ===
openjdk-11-jre-dcevm (11.0.12+7-1~deb10u1) buster-security; urgency=medium

  * Rebuild for buster

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 01 Aug 2021 16:03:09 +0200

openjdk-11-jre-dcevm (11.0.12+7-1) unstable; urgency=medium

  * New upstream release (Closes: #991006)

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 01 Aug 2021 15:26:13 +0200

openjdk-11-jre-dcevm (11.0.11+9-2) unstable; urgency=medium

  * Added an autopkgtest test suite to catch regressions caused by JDK updates

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 03 May 2021 14:40:22 +0200

openjdk-11-jre-dcevm (11.0.11+9-1) unstable; urgency=medium

  * New upstream release (Closes: #984725)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 27 Apr 2021 10:42:03 +0200

## openjdk-11-jre-dcevm 11.0.12+7

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
- debhelper-compat (= 12),
- g++-9,
+ debhelper-compat (= 13),
  libasound2-dev,
  libcups2-dev,
  libfontconfig1-dev,
@@ -18,10 +17,11 @@
  openjdk-11-jdk,
  unzip,
  zip
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/java-team/openjdk-11-jre-dcevm.git
 Vcs-Browser: https://salsa.debian.org/java-team/openjdk-11-jre-dcevm
 Homepage: https://github.com/HotswapProjects/openjdk-jdk11u-dcevm
+Rules-Requires-Root: no
 
 Package: openjdk-11-jre-dcevm
 Architecture: amd64 i386

=== debian/watch ===
version=4
opts="mode=git,repack,compression=xz" \
https://github.com/HotswapProjects/openjdk-jdk11u-dcevm refs/tags/dcevm-(.*)

## openjdk-11-jre-dcevm 11.0.15+1

=== debian/changelog ===
openjdk-11-jre-dcevm (11.0.15+1-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.6.0.1

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 03 May 2022 15:34:29 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  openjdk-11-jdk,
  unzip,
  zip
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Vcs-Git: https://salsa.debian.org/java-team/openjdk-11-jre-dcevm.git
 Vcs-Browser: https://salsa.debian.org/java-team/openjdk-11-jre-dcevm
 Homepage: https://github.com/HotswapProjects/openjdk-jdk11u-dcevm
